## mateweather-prefs

mateweather-prefs

## Functions

void | mateweather_prefs_load ()
const char * | mateweather_prefs_get_temp_display_name ()
const char * | mateweather_prefs_get_speed_display_name ()
const char * | mateweather_prefs_get_pressure_display_name ()
const char * | mateweather_prefs_get_distance_display_name ()

## Types and Values

#define | GSETTINGS_TEMP_UNIT
#define | GSETTINGS_SPEED_UNIT
#define | GSETTINGS_PRESSURE_UNIT
#define | GSETTINGS_DISTANCE_UNIT
struct | MateWeatherPrefs

## Description

## Functions

### mateweather_prefs_load ()

    void
    mateweather_prefs_load (MateWeatherPrefs *prefs,
                            GSettings *settings);

### mateweather_prefs_get_temp_display_name ()

    const char *
    mateweather_prefs_get_temp_display_name
                                   (TempUnit temp);

### mateweather_prefs_get_speed_display_name ()

    const char *
    mateweather_prefs_get_speed_display_name
                                   (SpeedUnit speed);

### mateweather_prefs_get_pressure_display_name ()

    const char *
    mateweather_prefs_get_pressure_display_name
                                   (PressureUnit pressure);

### mateweather_prefs_get_distance_display_name ()

    const char *
    mateweather_prefs_get_distance_display_name
                                   (DistanceUnit distance);

## Types and Values

### GSETTINGS_TEMP_UNIT

    #define GSETTINGS_TEMP_UNIT     "temperature-unit"

### GSETTINGS_SPEED_UNIT

    #define GSETTINGS_SPEED_UNIT    "speed-unit"

### GSETTINGS_PRESSURE_UNIT

    #define GSETTINGS_PRESSURE_UNIT "pressure-unit"

### GSETTINGS_DISTANCE_UNIT

    #define GSETTINGS_DISTANCE_UNIT "distance-unit"

### struct MateWeatherPrefs

    struct MateWeatherPrefs {
        WeatherLocation *location;
        gboolean show_notifications;
        gint update_interval;  /* in seconds */
        gboolean update_enabled;
        gboolean detailed;
        gboolean radar_enabled;
        gboolean use_custom_radar_url;
        gchar *radar;

        TempUnit     temperature_unit;
        SpeedUnit    speed_unit;
        PressureUnit pressure_unit;
        DistanceUnit distance_unit;
    };